<bugID>462512<Summary>[Small icons] &lt;toolbarbutton type="menu-button"&gt; increases toolbar height</Summary><Description>Install Adblock Plus in Firefox, customize the toolbar and switch to small icons. Now drag the Adblock Plus icon off the toolbar - note how toolbar height got smaller. Putting it back will increase toolbar height again. Reason is that Adblock Plus icon has a menu, 

  &lt;toolbarbutton id="abp-toolbarbutton" type="menu-button" label="&amp;menuitem.label;"/&gt;

The anonymous content of this button falls under this rule in browser.css:

toolbar[iconsize="large"][mode="icons"] .toolbarbutton-1:-moz-system-metric(windows-default-theme),
.toolbarbutton-menubutton-button:-moz-system-metric(windows-default-theme) {
  padding: 6px; /* uxtheme border drawing fix/hack */
}

Note that usually a toolbar button has 3 pixel padding which is why vertical toolbar size increases here.

Reproduced on Windows XP in both Firefox 3.0.3 and Minefield 20081030 build.</Description></bugID>